program AcronymDecoder;

{$mode delphi}{$H+}

uses
  {$IFDEF UNIX}
  cthreads, clocale,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, UAcronym, Common, SysUtils, TemplateGenerics, UFormImport,
  CoolTranslator, UFormCategorySelect, UFormMain, UFormAcronym, UFormSettings,
  UFormCategories, UFormAcronyms, UFormImportSource, UFormImportSources, 
  UFormAbout, UFormImportFormat, UFormImportFormats, UFormImportPattern, UCore
  { you can add units after this };

{$R *.res}

{$IFDEF DEBUG}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}


begin
  {$IFDEF DEBUG}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Title := 'Acronym Decoder';
  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormCategorySelect, FormCategorySelect);
  Application.CreateForm(TFormCategories, FormCategories);
  Application.CreateForm(TFormAcronyms, FormAcronyms);
  Application.CreateForm(TFormAcronym, FormAcronym);
  Application.CreateForm(TFormSettings, FormSettings);
  Application.CreateForm(TFormImport, FormImport);
  Application.CreateForm(TFormImportSource, FormImportSource);
  Application.CreateForm(TFormImportSources, FormImportSources);
  Application.CreateForm(TFormAbout, FormAbout);
  Application.CreateForm(TFormImportFormat, FormImportFormat);
  Application.CreateForm(TFormImportFormats, FormImportFormats);
  Application.CreateForm(TFormImportPattern, FormImportPattern);
  Application.CreateForm(TCore, Core);
  Application.Run;
end.

